Package com.collibra.dgc.core.api.dto.meta.status

# Class FindStatusesRequest.Builder

Object
Builder

Enclosing class:
  `FindStatusesRequest`

public static final class FindStatusesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindStatusesRequest`
  `build()`
  `FindStatusesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindStatusesRequest.Builder`
  `description(String description)`
  `FindStatusesRequest.Builder`
  `limit(int limit)`
  `FindStatusesRequest.Builder`
  `name(String name)`
  `FindStatusesRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindStatusesRequest.Builder`
  `offset(int offset)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindStatusesRequest.Builder offset(int offset)

  - ### limit

    public FindStatusesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindStatusesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindStatusesRequest.builder()`.
    Clone method for this Builder.

  - ### name

    public FindStatusesRequest.Builder name(String name)
    Returns:
      `this`.

  - ### nameMatchMode

    public FindStatusesRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Returns:
      `this`.

  - ### description

    public FindStatusesRequest.Builder description(String description)
    Returns:
      `this`.

  - ### build

    public FindStatusesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`